# Loki::Singleton< T > Class Template Reference
[Singleton]

`#include <Singleton.h>`

List of all members.

## Detailed Description

### template<class T>
class Loki::Singleton< T >

Convenience template to implement a getter function for a singleton object. Often needed in a shared library which hosts singletons.

Usage

see test/SingletonDll

The documentation for this class was generated from the following file:

- Singleton.h